### Class

# Phosh ModeManager

#### Description [src]

    final class Phosh.ModeManager : Phosh.Manager
    {
      /* No available fields */
    }

Determines the device mode

`PhoshModeManager` tracks the device mode and attached hardware.

#### Ancestors

- PhoshManager
- GObject

#### Constructors

###### phosh_mode_manager_new

No description available.

#### Instance methods

###### phosh_mode_manager_get_device_type

No description available.

###### phosh_mode_manager_get_mimicry

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.ModeManager:device-type

No description available.

###### Phosh.ModeManager:hw-flags

No description available.

###### Phosh.ModeManager:mimicry

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshModeManagerClass {
      PhoshManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshManagerClass`

  No description available.